summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2016-11-28 12:23:47 +0100
committerPatrick Lauer <patrick@gentoo.org>2016-11-28 12:23:47 +0100
commit83efee576f3c9f1048e76c31cc69be001dafb824 (patch)
treeae9501e0172bcc2d3452b8ded398fff32749e936
parentdev-python/elasticsearch-py: Bump (diff)
downloadgentoo-83efee576f3c9f1048e76c31cc69be001dafb824.tar.gz
gentoo-83efee576f3c9f1048e76c31cc69be001dafb824.tar.bz2
gentoo-83efee576f3c9f1048e76c31cc69be001dafb824.zip
dev-db/aerospike-server-community: Bump
Package-Manager: portage-2.3.2
-rw-r--r--dev-db/aerospike-server-community/Manifest1
-rw-r--r--dev-db/aerospike-server-community/aerospike-server-community-3.10.1.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/dev-db/aerospike-server-community/Manifest b/dev-db/aerospike-server-community/Manifest
index f22adc76373..f99f6ae3e20 100644
--- a/dev-db/aerospike-server-community/Manifest
+++ b/dev-db/aerospike-server-community/Manifest
@@ -1,6 +1,7 @@
DIST aerospike-server-community-3.10.0-debian7.tgz 10347380 SHA256 12b2c11db1d08ab2f90c26beccf51045d5fcc13eccbe9ebf570490f13e07f206 SHA512 c0e79723b1780460e8c623b2db0ae0878734165406f148f158d7f166d4c2ffc1a071d9dc515f73f37372e9963f3951ed3c5713850d33e540677cc093431de5cf WHIRLPOOL eab8324ad3045f2d58a1374eaa6586fdc9546fe0baba3101ef702d5ce3880cf0f281acfa31b19a88fd72993505c151189752bdcf2035f9ddddf890b03895dc13
DIST aerospike-server-community-3.10.0.1-debian7.tgz 10346827 SHA256 7c994413b51523b09943e872b829bbbca521eb84cd83f670d002e45d9362ec21 SHA512 4c732100eb71a67d9386ac53fc9bc900afb4337a7627570c9a429fc9a53d6605eaf4fcac7e264a2d3816f4864783cbdbf340e49012a2276d76957a73d4ca2641 WHIRLPOOL 005f9f9a1202f30fa4f94e03dd5891ff557af3c0fb1ce585017e0e4c3c3ac1ed42f92d149df95d11eb2143d4c6516cb19d92b94e0820eb00cf58f691c077c9c7
DIST aerospike-server-community-3.10.0.3-debian7.tgz 10347047 SHA256 fb0b47549cbe783317854b0edebe0ec112d8d5b073d7311a54739518bf2ae971 SHA512 1699bc2c8813c4b584eeef4c0edd8481915e9ccac55795717e87e6246894d836365aba2fdf8c884c6f4f4bdb3cc8d2a78141c32b1ef67cbf5efa1dc7340906ce WHIRLPOOL b6bf3a97c0023bb77f19b7cbd58785422551ce66cc7749773a1d8cfb3fa3d3ca1f96a1202718713859c23ccad0c14bded31759f36d0b0fa3039dd86e2ba1d6d2
+DIST aerospike-server-community-3.10.1-debian7.tgz 10498243 SHA256 90f5c85af7d659512b3af10e570abb31a69c760849b2c7eb19fe243b1eef869f SHA512 0320cca1f883b58f03d4ebfeefc4020bd233ac2a9d0f11b2ebe4a507a4a1cbd3885dd4d3894ddeb140a338eab58367de4126a516d2b09058f7c76b90f451dfbc WHIRLPOOL d6aa30a9fbfe22bc583abf5a43213dd44c3df937ee7715a1604082d9e987ebe66955533802d243e2dba59504dbea60c72eaa48da3684cee8e64e16d070839cd9
DIST aerospike-server-community-3.9.0.2-debian7.tgz 9783416 SHA256 d822e3e0b1766484f2f5c8568db8169c58bc4db92deb92d52c8883dda44ae739 SHA512 f2c39b45f498ce5566234945987cfddf9dfb3a43afec42d735e1a6f8707dfa53f00bd40b98f59430dc63b35a05fa94b98ec5ccae767061a382b6cc4ddbd0f089 WHIRLPOOL f526fa7090912f042ec9808ba972d598269f6e2365baa68bb9777cfc0b5502b419364ac0828146bc34dffadde64f6a97fd5f722a5630b2743d3175c5e86cf9ce
DIST aerospike-server-community-3.9.0.3-debian7.tgz 9783678 SHA256 ec09d7f12c1001b8341892bff50f15a75a7e8f312b510c3627066befb9fc5612 SHA512 82b826fdb6bfdbb8508346accb2b0bf34f55a601b95e214d8b7fd108790a889e64dd5b76b4351285baa3f1c4f9d6a98945737c8ca42f26229364030674a2623b WHIRLPOOL f7bac66a56ad8b9ee47b3eedc16337b13d8674f42dba40f445876fe9c46ec3620dad73a9324f4a33daef98c740643c6361b86733ac6c741a68757b332101eefb
DIST aerospike-server-community-3.9.1-debian7.tgz 9888658 SHA256 accf3685e148c56295f8bf9498f2aec1c405390dbb4fcb7c338df1d42290e917 SHA512 c6a9304d0a328c0bf3c5908be1d897af4c0579ce0bdb710c90c2c70fd5b364ebf518dcaee27f985f6275e5a03ab0bcf15b8fe5340d7e6129adf28eaf369e8de4 WHIRLPOOL e1d70db94906064cd4e3ba1a25f52996b2399993591d65b0f94d9b5bdd83aa0898432745cd4b89edf106eeace63c2ca9637bbb5cebf4b25a5db516e21f52325c
diff --git a/dev-db/aerospike-server-community/aerospike-server-community-3.10.1.ebuild b/dev-db/aerospike-server-community/aerospike-server-community-3.10.1.ebuild
new file mode 100644
index 00000000000..cfe8e51ea67
--- /dev/null
+++ b/dev-db/aerospike-server-community/aerospike-server-community-3.10.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils user
+
+DESCRIPTION="Flash-optimized, in-memory, nosql database"
+HOMEPAGE="http://www.aerospike.com"
+SRC_URI="http://www.aerospike.com/artifacts/${PN}/${PV}/${P}-debian7.tgz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="app-crypt/gcr"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${P}-debian7"
+
+pkg_setup() {
+ enewgroup aerospike
+ enewuser aerospike -1 /bin/bash /opt/aerospike aerospike
+}
+
+src_prepare() {
+ local server_deb="${P}.debian7.x86_64.deb"
+ local tools_deb="aerospike-tools-3.10.2.debian7.x86_64.deb"
+
+ ar x "${server_deb}" || die
+ tar xzf data.tar.gz && rm data.tar.gz || die
+
+ ar x "${tools_deb}" || die
+ tar xzf data.tar.gz && rm data.tar.gz || die
+
+ rm *.deb asinstall control.tar.gz debian-binary LICENSE SHA256SUMS
+ rm usr/bin/{asfixownership,asmigrate2to3}
+}
+
+src_install() {
+ insinto /opt/
+ doins -r opt/aerospike
+
+ fperms +x -R /opt/aerospike/bin/
+ fperms +x -R /opt/aerospike/lib/python/
+
+ for dir in '/etc' '/var/log'; do
+ keepdir "${dir}/aerospike"
+ done
+
+ insinto /etc/aerospike
+ for conf in 'aerospike.conf' 'aerospike_mesh.conf' 'aerospike_ssd.conf'; do
+ doins "${FILESDIR}/${conf}"
+ done
+
+ insinto /usr/bin
+ doins usr/bin/*
+ fperms +x -R /usr/bin/asd
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/aerospike.logrotate aerospike
+
+ newinitd "${FILESDIR}"/aerospike.init aerospike
+
+ fowners -R aerospike:aerospike /opt/aerospike/
+ fowners aerospike:aerospike /usr/bin/asd
+ fowners -R aerospike:aerospike /var/log/aerospike
+}